Name:           wmudmount
Version:        2.2
Release:        1%{?dist}
Summary:        A WindowMaker filesystem mounting dockapp using udisks

License:        GPLv2+
URL:            http://sourceforge.net/projects/wmudmount/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  dbus-glib-devel
BuildRequires:  gtk3-devel gdk-pixbuf2-devel
BuildRequires:  libICE-devel libSM-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libnotify-devel
BuildRequires:  ImageMagick
BuildRequires:  libudisks2-devel

Requires:       hicolor-icon-theme

%description
wmudmount is a filesystem mounter that uses udisks to handle notification of
new volumes and mounting of the filesystems as a non-root user. It also
includes a mode to display the mounted filesystems with the least free space
percentage.

%prep
%setup -q

%build
%configure --disable-gtktest --with-x
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc ChangeLog
%{_bindir}/wmudmount
%{_mandir}/man1/wmudmount.1*
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*


%changelog
* Tue Oct 14 2014 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.2-1
- version upgrade

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 05 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-4
- require udisks v1
- add upstream header patch

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-2
- cleanup BR

* Sat Jun 02 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.13-1
- initial version
